Skip to main content
POST
/
api
/
v1
/
templates
/
{template_id}
/
analysis
Start/Restart analysis
curl --request POST \
  --url https://api.example.com/api/v1/templates/{template_id}/analysis \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "options": {
    "parse_master_template_layout": true,
    "parse_slides": true,
    "include_placeholder_positions": true,
    "include_placeholder_content": false,
    "include_custom_shapes": true,
    "include_table_details": true
  },
  "name": "<string>",
  "description": "<string>",
  "priority": "normal"
}
'
{
  "analysis_id": "<string>",
  "status": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "options": {},
  "org_name": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "results": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs-slidekit.theduomi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Production API key. Development/test deployments may also allow X-Org-Name.

Path Parameters

template_id
string
required

Body

application/json

Request schema for starting template analysis.

options
AnalysisOptions · object

Analysis options configuration.

name
string | null

Optional name for this analysis

description
string | null

Optional description

priority
string
default:normal

Priority: normal, high, low

Response

Successful Response

Complete analysis response.

analysis_id
string
required
status
string
required
started_at
string<date-time>
required
options
Options · object
required
org_name
string | null
completed_at
string<date-time> | null
results
Results · object
metadata
Metadata · object